var Dispatcher = require('./Dispatcher');

/**
 * Action class
 */


  /**
   * Constructs an Action object
   *
   * @param {function} callback - Callback method for Action
   * @constructor
   */
  function Action(callback) {"use strict";
    this.callback = callback;
  }

  /**
   * Calls callback method from Dispatcher
   *
   * @param {object} payload - Data argument for callback method
   * @constructor
   */
  Action.prototype.dispatch=function(payload) {"use strict";
    Dispatcher.dispatch(this.callback(payload));
  };


module.exports = Action;